{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "TPJT_CODE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TGPE_CODE"; }; 
            name = tpjtCode; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            columnName = "TPJT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TGPE_ID"; }; 
            name = tpjtId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tpjtId); 
    className = "org.cocktail.cocowork.server.metier.convention.TypeProjet"; 
    classProperties = (tpjtCode); 
    externalName = "ACCORDS.TYPE_PROJET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tpjtCode); 
        "_javaClientClassName" = "org.cocktail.cocowork.client.metier.convention.TypeGroupe"; 
    }; 
    name = CWTypeProjet; 
    primaryKeyAttributes = (tpjtId); 
}
